stam.writeHTML {stam} | R Documentation

## Write StAM Output in HTML

### Description

Write HTML output for various pieces of a structured analysis of microarray data for further interactive exploration.

### Usage

    stam.writeHTML(x, title = NULL, align = "left",
                   outfile = "index.html", nonodes = FALSE, ...)

### Arguments

`x` | the piece of the analysis for which HTML is to be generated. It may be of any of the following classes: `stamNode`, `stamNet`, `stamCV`, `stamFit`, `stamPrediction` or `stamEval`
`title` | the title to be used on the generated main page. A default is generated according to a few important parameters of `x`
`align` | alignment of the tatle (left, right, center)
`outfile` | the file where to store the generated HTML code unless `x` is of class `stamEval`. In the latter case, `outfile` is a directory where the the collection of files is stored.
`nonodes` | whether to generate (possibly lengthy) output for all nodes
`...` | further arguments passed to `writeHTML` calls.

### Details

Use this function to generate HTML pages for further investigation of StAM results. The pages are interlinked and contain links to external resources such as the Gene Ontology and the Affymetrix website. Clickable maps are generated for the illustration of the model fit as well as the molecular symptoms image.

### Author(s)

Claudio Lottaz

### Examples

    ## Not run:
    data(golubTrain.cv)
    data(golubTrain.fit)

    stam.writeHTML(golubTrain.cv)
    stam.writeHTML(golubTrain.fit, nonodes=TRUE)
    ## End(Not run)

[Package stam version 1.10.0 Index]